From f5bd371837cc3b89e6d387ecc84469a0e513fbd6 Mon Sep 17 00:00:00 2001
From: 嘉渊 <wangjiaming.wjm@alibaba-inc.com>
Date: 星期三, 19 七月 2023 22:34:52 +0800
Subject: [PATCH] update
---
egs/callhome/eend_ola/run.sh | 30 +++++++++++++++++-------------
1 files changed, 17 insertions(+), 13 deletions(-)
diff --git a/egs/callhome/eend_ola/run.sh b/egs/callhome/eend_ola/run.sh
index fb030c5..40fb041 100644
--- a/egs/callhome/eend_ola/run.sh
+++ b/egs/callhome/eend_ola/run.sh
@@ -31,7 +31,7 @@
stop_stage=-1
# exp tag
-tag="exp_fix"
+tag="exp1"
. local/parse_options.sh || exit 1;
@@ -52,14 +52,14 @@
# simulate mixture data for training and inference
if [ ${stage} -le -1 ] && [ ${stop_stage} -ge -1 ]; then
- echo "stage 0: Simulate mixture data for training and inference"
+ echo "stage -1: Simulate mixture data for training and inference"
echo "The detail can be found in https://github.com/hitachi-speech/EEND"
echo "Before running this step, you should download and compile kaldi and set KALDI_ROOT in this script and path.sh"
echo "This stage may take a long time, please waiting..."
KALDI_ROOT=
ln -s $KALDI_ROOT/egs/wsj/s5/steps steps
ln -s $KALDI_ROOT/egs/wsj/s5/utils utils
- . local/run_prepare_shared_eda.sh
+ local/run_prepare_shared_eda.sh
fi
## Prepare data for training and inference
@@ -245,13 +245,17 @@
python local/model_averaging.py ${exp_dir}/exp/${callhome_model_dir}/$callhome_ave_id.pb $models
fi
-## inference
-#if [ ${stage} -le 5 ] && [ ${stop_stage} -ge 5 ]; then
-# echo "Inference"
-# mkdir -p ${exp_dir}/exp/${callhome_model_dir}/inference/log
-# CUDA_VISIBLE_DEVICES=$CUDA_VISIBLE_DEVICES python local/infer.py \
-# --config_file ${exp_dir}/exp/${callhome_model_dir}/config.yaml \
-# --model_file ${exp_dir}/exp/${callhome_model_dir}/$callhome_ave_id.pb \
-# --output_rttm_file ${exp_dir}/exp/${callhome_model_dir}/inference/rttm \
-# --wav_scp_file ${callhome_feats_dir_chunk2000}/${callhome_valid_dataset}/${callhome2_wav_scp_file} 1> ${exp_dir}/exp/${callhome_model_dir}/inference/log/infer.log 2>&1
-#fi
\ No newline at end of file
+# inference and compute DER
+if [ ${stage} -le 5 ] && [ ${stop_stage} -ge 5 ]; then
+ echo "Inference"
+ mkdir -p ${exp_dir}/exp/${callhome_model_dir}/inference/log
+ CUDA_VISIBLE_DEVICES=$CUDA_VISIBLE_DEVICES python local/infer.py \
+ --config_file ${exp_dir}/exp/${callhome_model_dir}/config.yaml \
+ --model_file ${exp_dir}/exp/${callhome_model_dir}/$callhome_ave_id.pb \
+ --output_rttm_file ${exp_dir}/exp/${callhome_model_dir}/inference/rttm \
+ --wav_scp_file ${callhome_feats_dir_chunk2000}/${callhome_valid_dataset}/${callhome2_wav_scp_file} \
+ 1> ${exp_dir}/exp/${callhome_model_dir}/inference/log/infer.log 2>&1
+ md-eval.pl -c 0.25 \
+ -r ${callhome_feats_dir_chunk2000}/${callhome_valid_dataset}/rttm \
+ -s ${exp_dir}/exp/${callhome_model_dir}/inference/rttm > ${exp_dir}/exp/${callhome_model_dir}/inference/result_med11_collar0.25 2>/dev/null || exit
+fi
\ No newline at end of file
--
Gitblit v1.9.1